# ManipulaPy

ManipulaPy is a comprehensive Python package for robotic manipulator analysis and simulation. It offers a range of functionalities, from kinematic calculations to dynamic analysis and path planning, making it a versatile tool for both educational and research purposes in the field of robotics.

## Features

- **Kinematic Analysis**: Compute forward and inverse kinematics for serial manipulators.
- **Dynamic Analysis**: Perform calculations related to the dynamics of manipulators, including mass matrix computation, gravity forces, and velocity quadratic forces.
- **Path Planning**: Implement various path planning algorithms for robotic manipulators.
- **Singularity Analysis**: Analyze and identify singular configurations of robotic manipulators.
- **URDF Processing**: Parse and process URDF (Unified Robot Description Format) files for simulation and analysis.

## Installation

To install ManipulaPy, run the following command:

```bash
pip install ManipulaPy
